// packageI/newGroup/redeem/redeem.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    zy: '\n',
    id: '',
    show: false,
    integral: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.data.id = options.id;
    this.getData();
  },
  showCloseTap(e) {
    this.setData({
      show: false
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  getData() {
    let that = this;
    let urlStr = app.getNetAddresss(
      "plugin.zhp-group-lottery.frontend.pearl.exchange-page"
    );
    app._postNetWork({
      url: urlStr,
      data: {
        activity_id: this.data.id,
      },
      success: (resdata) => {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
          wx.setNavigationBarTitle({
            title: `${res.data.plugin_name}激活兑换`,
          });
          that.setData({
            plugin_name: res.data.plugin_name,
            pearl: res.data.pearl,
          });
        } else {
          wx.showToast({
            title: res.msg,
            duration: 1000,
            icon: "none",
          });
        }
      },
    });
  },
  exchangeIntegral() {
    let that = this;
    let urlStr = app.getNetAddresss(
      "plugin.zhp-group-lottery.frontend.pearl.exchange-pearl"
    );
    app._postNetWork({
      url: urlStr,
      data: {
        activity_id: this.data.id,
      },
      success: (resdata) => {
        var res = resdata.data;
        if (res.result == 1) {
          that.setData({
            show: true,
            exchange_pearl: res.data.exchange_pearl
          });
        } else {
          wx.showToast({
            title: res.msg,
            duration: 1000,
            icon: "none",
          });
        }
      },
    });
  },
  gotoUrl(e) {
    let url = e.currentTarget.dataset.key;
    if (url == 'Integral_love') {
      wx.navigateTo({
        url: '/packageB/member/love/Love_index/Love_index',
      });
    }

  },
  gotoLog() {
    wx.navigateTo({
      url: '/packageI/newGroup/redeemLog/redeemLog?id=' + this.data.id,
    });
  }
});